## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           bash-preexec
Version:        0.5.0
Release:        %autorelease
Summary:        preexec and precmd functions for Bash just like Zsh

License:        MIT
URL:            https://github.com/rcaloras/bash-preexec
Source:         %{url}/archive/refs/tags/%{version}.tar.gz

# Fix tests
Patch:          %{url}/commit/a44754f5c3ca76b0330324680670cb8574d2768f.patch

BuildRequires:  bats
BuildArch: noarch

%global _description %{expand:
preexec and precmd hook functions for Bash 3.1+ in the style of Zsh. They aim to
emulate the behavior as described for}

%description %_description

%package        all-users
Summary:        bash-preexec init script for all users
Requires:       bash-preexec = %{version}-%{release}

# Note: This package should conflict with any other package that uses `PROMPT_COMMAND` or `DEBUG`
# (See General Usage section of bash-preexec.sh)

%description    all-users %_description

This package contains the init script to enable bash-preexec for all users.


%prep
%autosetup -p1


%install
install -Dpm 644 bash-preexec.sh %{buildroot}%{_libexecdir}/bash-preexec/bash-preexec.sh
# Backport import guards into the auto-import script
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/bash-preexec.sh <<EOF
# bash-preexec initialization script

# Skip non-bash shells.
[ -z "\${BASH_VERSION-}" ] && return

# Skip noninteractive shells.
[[ \$- != *i* ]] && return

source %{_libexecdir}/bash-preexec/bash-preexec.sh
EOF


%check
bats test

%files
%license LICENSE.md
%doc README.md
%{_libexecdir}/bash-preexec/bash-preexec.sh

%files all-users
%{_sysconfdir}/profile.d/bash-preexec.sh


%changelog
## START: Generated by rpmautospec
* Thu Oct 17 2024 John Doe <packager@example.com> - 0.5.0-1
- Uncommitted changes
## END: Generated by rpmautospec
